Subject: Re: [PATCH 1/2][v2] Integrated Flash Controller support

From: Scott Wood <[email-masked]>
Date: Mon, 2 Jan 2012 11:31:27 -0600

On 12/28/2011 07:30 AM, dmitry pervushin wrote:
> If you're using memory-mapped structure, shouldn't it be announced with
> __attribute__(packed) ?

Why?  We know this isn't going to be compiled on some strange ABI where
a struct with nothing but u32 gets padding.  __attribute__((packed))
also tells GCC the struct itself could be unaligned which is not true.

-Scott